Attatched wiki images are not included in export to HTML
Status: New Start date: 2009-04-23
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Wiki Estimated time: 0.00 hour
Target version:

Resolution:

Description

When using the HTML export feature on wiki pages, images that have been attached to that specific page are not included (rather,

they are referenced in the src attribute as if they are locally present).

| understand the technical limitation behind this, due to that the export feature generates a single static HTML page (only).

Generating an archive (tar-gz/zip etc.) bundled with attached images + the HTML file would perhaps be a more robust solution. When
exporting wiki pages as part of documentation, it is often desirable to include images to further clarify instructions. Or at least
reference images by their external Internet address so that an external script could fetch the images directly.

Further, scripting to other formats (using the HTML content) like PDF, Latex, etc. is made considerately more difficult when the exact

filename is not known.

Related issues:
Related to Redmine - Patch #16446: Generate full URLs to images and linked pa...

Closed

History

#1 - 2009-08-05 15:47 - Andrey Kostrov

+1

Yes, it could be very useful.

#2 - 2009-08-05 16:14 - Frank Isemann
Why not embedded, Base64 Encoded Images?

Nice solution for someone who just want to have a single file for documentation purposes.

Okay, its not the "cleanest" method ;-)

#3 - 2010-08-22 01:21 - Jak Charlton
- File inline-html-images.diff added
- Status changed from New to Resolved

- % Done changed from 0 to 100

This patch embeds all images as Base64 encoded images inline with exported HTML

This is based off another patch | found on here (but now cannot locate), which did not work on the 1.0 stable as it was written, a small amount of

rework was needed to get it working OK

#4 - 2010-08-22 22:07 - Azamat Hackimov

- Status changed from Resolved to New

Jak, don't close bug until patch commited to rep :)

#5 - 2010-08-24 00:33 - Jak Charlton
Whoops apologies :)

Didn't actually know if you would want to put to main repository ...
Anyway hope it helps

#6 - 2014-04-26 03:30 - Toshi MARUYAMA
- Related to Patch #16446: Generate full URLs to images and linked pages in the Wiki HTML export added

Files

inline-html-images.diff 2.48 KB 2010-08-21 Jak Charlton
